### Method

# GLib VariantType free

#### Declaration [src]

    void
    g_variant_type_free (
      GVariantType* type
    )

#### Description [src]

Frees a `GVariantType` that was allocated with `g_variant_type_copy()`, `g_variant_type_new()` or one of the container type constructor functions.

In the case that `type` is `NULL`, this function does nothing.

Since 2.24.

#### Parameters

`type`

  Type: `GVariantType`

  Type to free.

  The argument can be `NULL`.